require "entity"

GenericUnmoveable = class("GenericUnmoveable", Entity)

function GenericUnmoveable:initialize(x, y, color, sprite)
	Entity.initialize(self, {
		x = x,
		y = y,
		color = color,
		collision = "unmoveable",
		sprite = sprite
	})
end

function GenericUnmoveable:update(dt)

end

function GenericUnmoveable:tick()

end